#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.1.0.0
visibility:           public
id:                   ghcide-1.1.0.0-2M4EJC1ukzI5gd8vCjr113
key:                  ghcide-1.1.0.0-2M4EJC1ukzI5gd8vCjr113
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:             https://github.com/haskell/ghcide#readme
synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  e82804dc5a17bc14280e3b9a07538dc3
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Compile Development.IDE.Core.Debouncer
    Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.1.0.0
hs-libraries:         HSghcide-1.1.0.0-2M4EJC1ukzI5gd8vCjr113
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-CoKFm7G0wtAIUq3USa6TmK
    aeson-1.5.6.0-GONgLS6yTtf17t9dlS8fIx array-0.5.4.0
    async-2.2.3-EZZT7wQnIBTGEUrsu0pZys base-4.14.1.0
    base16-bytestring-1.0.1.0-B3nwviEM6X38EFOalNzlB binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.0.0-FzqOME44BEpAYltPVelmJQ
    case-insensitive-1.2.1.0-Krw658vJStGAlfH5edKZq4 containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-3EX84QyvSYDFZzl2eG6Xcc
    dependent-sum-0.7.1.0-7FGn7gPIJqj7ptleZL06qk directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-FeOLgE4fXkBLbg55bEDq7y
    filepath-1.4.2.1 fingertree-0.1.4.2-oMSi6soOy13TIKZU1du6c
    fuzzy-0.1.0.0-B5ayvyfHiBS8BPOcgEDAHZ ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.3-8Xc9JjUzrII7N8e60uk05d
    ghc-exactprint-0.6.4-HxUIfszWIFJEqFaXBYSTd1
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    haddock-library-1.10.0-IKOOYrCAXVZFXIXV8a2UPc
    hashable-1.3.1.0-4EsGp1K7uOu2cACWuCidz3
    heapsize-0.3.0.1-5kg3qW0CHw18QCLx7ZNMVI
    hie-bios-0.7.5-2KBj5dnVWfi2tJxFBBCfam
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-CcS0PHMZIxeHU8X6lUp9if
    hls-plugin-api-1.0.0.0-CG6wuMd8VTVLRtvBjy3RVo
    hslogger-1.3.1.0-44G743PCj3J57xAkWf9VOk
    implicit-hie-cradle-0.3.0.2-L2DUXjqr2JK83FvT6JKEHD
    lens-5-F4KEgIRUc5WJcWGryULIOm lsp-1.1.1.0-6DsskFcDPxcEXrRoQHPjw5
    lsp-types-1.1.0.0-BMVDSl33PolFVlaiqAKh4a mtl-2.2.2
    network-uri-2.6.4.1-FEk4aE8j9Y63aWdVbJOWgW
    opentelemetry-0.6.1-Ajz4z7MXHODHBhZXDyidhe
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-E0geKtsVhvP3vS4gwRkE2X
    prettyprinter-ansi-terminal-1.1.2-DSRR3OxWAwHSgI9NeebWQ
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-1OUAgw3qnmm4f0EQ06F1RQ
    rope-utf16-splay-0.3.2.0-8NAHzXzXsITKFn6lFWIWZp
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-4I3NiWBa1LB80KJN76QamT
    shake-0.19.4-E8UfafUiWfJNBmRJOSCw8
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-FTkzhkgkFMBFEQHlI2TR9S stm-2.5.0.0
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.14-ELQreSwDM3V45UuRdTIMol
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-GpKX90RmBie7xFEkTgVtxL
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.2.0-7EbNsr7S4xfLPw9HM8zAxH

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

